Name:          console-setup
Version:       1.234
Release:       1mamba
Summary:       Provides the console with the same keyboard configuration scheme that X Window System has
Group:         System/Internationalization
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://salsa.debian.org/installer-team/console-setup
Source:        https://anonscm.debian.org/git/d-i/console-setup.git/%{version}/console-setup-%{version}.tar.bz2
License:       GPL
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-devel
## AUTOBUILDREQ-END

%description
This package provides the console with the same keyboard configuration scheme that X Window System has.
In result, there is no need to duplicate or change the console keyboard files just to make simple customizations such as the use of dead keys, the key functioning as AltGr or Compose key, the key(s) to switch between Latin and non-Latin layouts, etc.
Besides the keyboard, the package configures also the font on the console.
It includes a rich collection of fonts and supports several languages that would be otherwise unsupported on the console (such as Armenian, Georgian, Lao and Thai).

%package -n ckbcomp
Group:         System/Tools
Summary:       Compile a XKB keyboard description to a keymap suitable for loadkeys or kbdcontrol
Obsoletes:     keyboardctl

%description -n ckbcomp
Compile a XKB keyboard description to a keymap suitable for loadkeys or kbdcontrol.

%prep
%setup -q

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -D -m755 Keyboard/ckbcomp %{buildroot}%{_bindir}/ckbcomp

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -n ckbcomp
%defattr(-,root,root)
%{_bindir}/ckbcomp
%doc COPYRIGHT

%changelog
* Thu Feb 06 2025 Automatic Build System <autodist@openmamba.org> 1.234-1mamba
- automatic version update by autodist

* Thu Dec 26 2024 Automatic Build System <autodist@openmamba.org> 1.233-1mamba
- automatic version update by autodist

* Sun Nov 03 2024 Automatic Build System <autodist@openmamba.org> 1.232-1mamba
- automatic version update by autodist

* Mon Oct 21 2024 Automatic Build System <autodist@openmamba.org> 1.231-1mamba
- automatic version update by autodist

* Tue Jul 16 2024 Automatic Build System <autodist@openmamba.org> 1.230-1mamba
- automatic version update by autodist

* Sat Jul 06 2024 Automatic Build System <autodist@openmamba.org> 1.229-1mamba
- automatic version update by autodist

* Thu Jun 20 2024 Automatic Build System <autodist@openmamba.org> 1.228-1mamba
- automatic version update by autodist

* Fri May 31 2024 Automatic Build System <autodist@openmamba.org> 1.227-1mamba
- automatic version update by autodist

* Sat Feb 10 2024 Automatic Build System <autodist@openmamba.org> 1.226-1mamba
- automatic version update by autodist

* Sun Jan 28 2024 Automatic Build System <autodist@openmamba.org> 1.224-1mamba
- automatic version update by autodist

* Sun Sep 24 2023 Automatic Build System <autodist@mambasoft.it> 1.223-1mamba
- automatic version update by autodist

* Thu Jun 22 2023 Automatic Build System <autodist@mambasoft.it> 1.222-1mamba
- automatic version update by autodist

* Thu May 25 2023 Automatic Build System <autodist@mambasoft.it> 1.221-1mamba
- automatic version update by autodist

* Thu May 11 2023 Automatic Build System <autodist@mambasoft.it> 1.220-1mamba
- automatic version update by autodist

* Wed Apr 26 2023 Automatic Build System <autodist@mambasoft.it> 1.219-1mamba
- automatic version update by autodist

* Wed Mar 15 2023 Automatic Build System <autodist@mambasoft.it> 1.218-1mamba
- automatic version update by autodist

* Thu Feb 16 2023 Automatic Build System <autodist@mambasoft.it> 1.217-1mamba
- automatic version update by autodist

* Wed Feb 08 2023 Automatic Build System <autodist@mambasoft.it> 1.216-1mamba
- automatic version update by autodist

* Tue Dec 13 2022 Automatic Build System <autodist@mambasoft.it> 1.212-1mamba
- automatic version update by autodist

* Sun Aug 28 2022 Automatic Build System <autodist@mambasoft.it> 1.210-1mamba
- automatic version update by autodist

* Tue Jul 19 2022 Automatic Build System <autodist@mambasoft.it> 1.209-1mamba
- automatic version update by autodist

* Mon May 30 2022 Automatic Build System <autodist@mambasoft.it> 1.208-1mamba
- automatic version update by autodist

* Tue Nov 02 2021 Automatic Build System <autodist@mambasoft.it> 1.207-1mamba
- automatic version update by autodist

* Mon Nov 01 2021 Automatic Build System <autodist@mambasoft.it> 1.206-1mamba
- automatic version update by autodist

* Sat Jul 24 2021 Automatic Build System <autodist@mambasoft.it> 1.205-1mamba
- automatic version update by autodist

* Fri Jul 09 2021 Automatic Build System <autodist@mambasoft.it> 1.204-1mamba
- automatic version update by autodist

* Tue Jun 01 2021 Automatic Build System <autodist@mambasoft.it> 1.203-1mamba
- automatic version update by autodist

* Wed Mar 24 2021 Automatic Build System <autodist@mambasoft.it> 1.202-1mamba
- automatic version update by autodist

* Sat Feb 20 2021 Automatic Build System <autodist@mambasoft.it> 1.201-1mamba
- automatic version update by autodist

* Thu Feb 04 2021 Automatic Build System <autodist@mambasoft.it> 1.200-1mamba
- automatic version update by autodist

* Tue Jan 02 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.174-2mamba
- obsolete keyboardctl

* Sun Dec 31 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 1.174-1mamba
- package created using the webbuild interface
